[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#599510: [Pkg-alsa-devel] Bug#589896: future unblock: alsa-lib/1.0.23-2.1



* Simon McVittie [101020 14:54 +0100]:
> On Fri, 08 Oct 2010 at 10:01:07 +0100, Simon McVittie wrote:
> > I've uploaded a delayed/14 NMU for alsa-lib, for
> > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=589896 (crashes due to
> > unloading plugins that are still in use), by backporting a patch from
> > upstream. Its diffstat looks like this:
> [...]
> >  7 files changed, 151 insertions(+), 121 deletions(-)
> > 
> > The full patch and the nmudiff are on #589896:
> [...]
> > If this is too intrusive for squeeze, there are potential workarounds for
> > #589896 in either alsa-lib (don't unload plugins whether they're in use or
> > not), PortAudio (don't tell ALSA to unload plugins), or OpenAL (forcibly
> > disable PortAudio support, since PortAudio is the only backend that actually
> > tells ALSA to unload plugins, and isn't incredibly useful on Linux). There are
> > more details on the bug.
> 
> Hi release team,
> 
> Any thoughts on this? The NMU will come out of DELAYED in a couple of days
> unless I intervene, so please let me know if I should cancel it and
> prepare a package with one of the less intrusive workarounds instead.

We should wait till 1.0.24 is released. This version doesn't need
that patch. Interested oa gamers should load sid after squeeze
release, though.

Elimar


-- 
  The path to source is always uphill!
                                -unknown-



Reply to: